<?php session_start();
      include('open_connection.php');
      include('header.php'); ?>

<html>
<link href='blue/style.css' rel='stylesheet' type='text/css' />

<style>
.myButton {
	-moz-box-shadow:inset 0px 1px 3px 0px #91b8b3;
	-webkit-box-shadow:inset 0px 1px 3px 0px #91b8b3;
	box-shadow:inset 0px 1px 3px 0px #91b8b3;
	background:-webkit-gradient(linear, left top, left bottom, color-stop(0.05, #768d87), color-stop(1, #6c7c7c));
	background:-moz-linear-gradient(top, #768d87 5%, #6c7c7c 100%);
	background:-webkit-linear-gradient(top, #768d87 5%, #6c7c7c 100%);
	background:-o-linear-gradient(top, #768d87 5%, #6c7c7c 100%);
	background:-ms-linear-gradient(top, #768d87 5%, #6c7c7c 100%);
	background:linear-gradient(to bottom, #768d87 5%, #6c7c7c 100%);
	filter:progid:DXImageTransform.Microsoft.gradient(startColorstr='#768d87', endColorstr='#6c7c7c',GradientType=0);
	background-color:#768d87;
	-moz-border-radius:5px;
	-webkit-border-radius:5px;
	border-radius:5px;
	border:1px solid #566963;
	display:inline-block;
	cursor:pointer;
	color:#ffffff;
	font-family:arial;
	font-size:12px;
	font-weight:bold;
	padding:4px 20px;
	text-decoration:none;
	text-shadow:0px -1px 0px #2b665e;
}
.myButton:hover {
	background:-webkit-gradient(linear, left top, left bottom, color-stop(0.05, #6c7c7c), color-stop(1, #768d87));
	background:-moz-linear-gradient(top, #6c7c7c 5%, #768d87 100%);
	background:-webkit-linear-gradient(top, #6c7c7c 5%, #768d87 100%);
	background:-o-linear-gradient(top, #6c7c7c 5%, #768d87 100%);
	background:-ms-linear-gradient(top, #6c7c7c 5%, #768d87 100%);
	background:linear-gradient(to bottom, #6c7c7c 5%, #768d87 100%);
	filter:progid:DXImageTransform.Microsoft.gradient(startColorstr='#6c7c7c', endColorstr='#768d87',GradientType=0);
	background-color:#6c7c7c;
}
.myButton:active {
	position:relative;
	top:1px;
}
table.imagetable {
	font-family: verdana,arial,sans-serif;
	font-size:11px;
	color:#333333;
	border-width: 1px;
	border-color: #999999;
	border-collapse: collapse;
}
table.imagetable th {
	background:#b5cfd2 url('cell-blue.jpg');
	border-width: 1px;
	padding: 5px;
	border-style: solid;
	border-color: #999999;
}
table.imagetable td {
	background:#dcddc0 url('cell-grey.jpg');
	border-width: 1px;
	padding:5px;
	border-style: solid;
	border-color: #999999;
}
       
</style>
<body>

<table width="100%">
<tr>
<td align="left">
<!--?php

if(!isset('isLogged_in']))
{
   $_SESSION['isLogged_in']=FALSE;
   $_SESSION['']='GUEST'
   
echo 'Welcome: ' . $_SESSION['username'];
?-->

</td>
<td align="right">
<a href="user_logout.php">LOGOUT</a>
</td>
</tr>
</table>

<h2 align="center">VENDOR DIRECTORY LIST</h2>

<form action="vendor_search.php" method="post">
<table border=0 align=center  class="imagetable" >
<tr><td>INFO SEARCH</td><td><input type="text" name="directory" /><input type="submit" class="myButton"  value="SEARCH"/> &nbsp;<input type="button" value="HOME" class="myButton" onClick="window.location.href='index.php'">
 </td>
</tr>
</table>
</form>
<br>

<!--hr /-->
<div align="right">

  <?php
$rowsPerPage =20; 
				$pageNum = $_REQUEST['page']; 
				if(empty($pageNum))
						{
					$offset =0;
					$pageNum=1;
						}
				else
						{
					$offset = ($pageNum - 1) * $rowsPerPage;
						}	
					$result=mysql_query("SELECT * from tbl_dir_vendor WHERE vendor_name LIKE '%".$_POST[directory]."%' OR vendor_address1 LIKE '%".$_POST[directory]."%' OR vendor_address2 LIKE '%".$_POST[directory].		
						"%' OR vendor_address3 LIKE '%".$_POST[directory]."%' OR vendor_address4 LIKE '%".$_POST[directory]."%' OR vendor_city LIKE '%".$_POST[directory]."%' OR vendor_state LIKE '%".$_POST[directory].
						"%' OR vendor_postcode LIKE '%".$_POST[directory]."%' OR vendor_country LIKE '%".$_POST[directory]."%' OR vendor_hp1 LIKE '%".$_POST[directory]."%' OR vendor_hp2 LIKE '%".$_POST[directory].
						"%' OR vendor_hp3 LIKE '%".$_POST[directory]."%' OR vendor_fax LIKE '%".$_POST[directory]."%' OR vendor_email LIKE '%".$_POST[directory]."%' OR vendor_www LIKE '%".$_POST[directory].
						"%' OR vendor_contact LIKE '%".$_POST[directory]."%' OR vendor_salutation LIKE '%".$_POST[directory]."%' OR vendor_section LIKE '%".$_POST[directory].
						"%' ORDER BY vendor_section ASC LIMIT $offset, $rowsPerPage");
		
		  			$i=$offset;
		  
echo "<center><span class=style16><table class=tablesorter id=user>";
echo "<thead>";
echo"<tr align='center'><th>NO</th><th>COMPANY NAME</th><th>COMPANY ADDRESS</th><th>CONTACT PERSON</th><th>TELEPHONE</th><th>FAX</th><th>EMAIL</th><th>SECTION</th></tr>";
echo "</thead>";
echo "<tbody>";	 
while($row=mysql_fetch_array($result))
{
					 $vendor_id = $row['vendor_id']; 
		 		   $vendor_name = $row['vendor_name'];
		     	$vendor_address1 = $row['vendor_address1'];
			$vendor_contact = $row['vendor_contact'];
			        $vendor_hp1 = $row['vendor_hp1'];
			         $vendor_fax = $row['vendor_fax'];
			 	   $vendor_email = $row['vendor_email'];
				 $vendor_section = $row['vendor_section'];
			$i++;
					echo"<tr>";
						echo "<td align=center>".$i."</td>";
						echo "<td align=left >".$row['vendor_name']."</td>";
						echo "<td align=center >".$row['vendor_address1']."</td>";
						echo "<td align=center >".$row['vendor_contact']."</td>";
						echo "<td align=center >".$row['vendor_hp1']."</td>";
						echo "<td align=center >".$row['vendor_fax']."</td>";
						echo "<td align=center >".$row['vendor_email']."</td>";
						echo "<td align=center >".$row['vendor_section']."</td>";
					echo"</tr>";
					}
					
					echo "</span></table>";
echo "</tbody>";
//mysql_close($con);

?>
  <div align="right"> <span class="style16"  >
    <?php
				$query1 = "SELECT COUNT(vendor_id) AS numrows FROM tbl_dir_vendor";
				$result1 = mysql_query($query1) or die('Error, query failed');
				$row1 = mysql_fetch_array($result1, MYSQL_ASSOC);
				$numrows = $row1['numrows'];
				$maxPage = ceil($numrows/$rowsPerPage);
				// print the link to access each page
				$self = $_SERVER['PHP_SELF'];
				$nav = '';
				for($page = 1; $page <= $maxPage; $page++){
				if ($page == $pageNum){
				$nav .= " $page ";}
				else{
				$nav .= " <a href=\"$self?page=$page\">$page</a> ";
					}
				}
				if ($pageNum > 1)
				{
					$page = $pageNum - 1;
					$color="#FFFFFF";
					$prev = " <a href=\"$self?page=$page\">[Previous]</a> ";
					$first = " <a href=\"$self?page=1\">[First]</a> ";
				}
					else{
					$prev = ' ';
					$first = ' ';
				}
					if ($pageNum < $maxPage)
				{
						$page = $pageNum + 1;
						$next = " <a href=\"$self?page=$page\">[Next]</a> ";
						$last = " <a href=\"$self?page=$maxPage\">[Last]</a> ";
				}
					else{
					$next = ' ';
					$last = ' ';
				}
		echo  $first . $prev . $nav . $next . $last;?>
  </span></div>
  </td>
  </tr>
      </table>
</div>
</body>
<script type='text/javascript' src='tablesorter/jquery-latest.js'>
</script>
<script type='text/javascript' src='tablesorter/jquery.tablesorter.min.js'>
</script>


<script type='text/javascript'>
	$(document).ready(function() { 
		$("#user").tablesorter({ 
			//for example we want to disable the 
			//password column (5th column) from sorting
			//we will specify '4' since it was indexed
			//(count starts at '0')
			//and set its property to 'false'
			headers: { 
				8: {    
					sorter: false 
				}
			}
		}); 
	});
	
</script>
</html>
<?php include('footer.php'); ?>
